import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

import 'single_key_pressed_intent.dart';

class SingleKeyShortcutDescriptor<T extends Action> {
  SingleKeyShortcutDescriptor({
    this.keySet,
    LogicalKeyboardKey? logicalKeyboardKey,
    required this.action,
    this.control = false,
    this.shift = false,
    this.alt = false,
    this.meta = false,
  });
  // })  : assert(logicalKeyboardKey != null || keySet != null),
  //       keySet = keySet ?? LogicalKeySet(logicalKeyboardKey!);

  SingleKeyPressedIntent<T> getintent(LogicalKeyboardKey keyboardKey) {
    return SingleKeyPressedIntent(keyboardKey);
  }

  final T action;
  final LogicalKeySet? keySet;
  final bool control;
  final bool shift;
  final bool alt;
  final bool meta;
}
